Last Comment Bug 723138 - Language packs should work for all releases of a branch, maxVersion should use * for compatibility ranges
: Language packs should work for all releases of a branch, maxVersion should us...
Status: RESOLVED FIXED
[esr]
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 14.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
http://releases.mozilla.org/pub/mozil...
: 682816 (view as bug list)
Depends on: 723135
Blocks: 746020
  Show dependency treegraph
 
Reported: 2012-02-01 08:44 PST by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2012-04-23 03:33 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
12+
fixed


Attachments
The fix (2.14 KB, patch)
2012-02-27 12:52 PST, Mark Banner (:standard8)
bugspam.Callek: review+
Details | Diff | Review
The fix v2 (4.05 KB, patch)
2012-04-13 07:41 PDT, Mark Banner (:standard8)
bugspam.Callek: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr10+
Details | Diff | Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-02-01 08:44:33 PST
The language packs provided in the release folder on the ftp should work for all releases of a branch and not only a single release. With Enterprise Support Releases (ESR), this should provide more benefits (but also for normal users). At the moment, the language pack have the same minVersion and maxVersion, but because the strings are frozen, compatibility ranges should look like 10.0 - 10.0.* (This is being done for Thunderbird 3.1.x)
Comment 1 Mark Banner (:standard8) 2012-02-02 01:59:55 PST
Ok, I'm moving this to core build config, as I suspect it affects everyone, although I also suspect we'll need different sets of fixes across the board.
Comment 2 Mark Banner (:standard8) 2012-02-27 07:45:27 PST
Ok, Commandeering this back to Mailnews for the c-c part of what I'm going to be posting in bug 723135.
Comment 3 Mark Banner (:standard8) 2012-02-27 12:52:33 PST
Created attachment 601022 [details] [diff] [review]
The fix

This is the c-c version of the fix from bug 723135.
Comment 4 Justin Wood (:Callek) 2012-02-27 13:00:38 PST
Comment on attachment 601022 [details] [diff] [review]
The fix

I'm ok with this IFF the relevent m-c patch lands.

One caveat to note though is that chemspill releases will get a weird maxversion in the langpacks of, e.g. 11.0.1.* rather than 11.0.* with your code here
Comment 5 Mark Banner (:standard8) 2012-02-27 13:03:58 PST
Comment on attachment 601022 [details] [diff] [review]
The fix

Damn, I meant to account for that. Gonna have to rethink that a little.
Comment 6 Mark Banner (:standard8) 2012-04-13 07:41:24 PDT
Created attachment 614777 [details] [diff] [review]
The fix v2

Ok, this matches the patch in bug 723135. I'm hoping to land this on Monday, so that we've got it in time for the various releases.
Comment 7 Justin Wood (:Callek) 2012-04-15 22:35:09 PDT
*** Bug 682816 has been marked as a duplicate of this bug. ***
Comment 8 Mark Banner (:standard8) 2012-04-16 01:10:06 PDT
Checked in:

http://hg.mozilla.org/comm-central/rev/5c06bd39f172
Comment 9 Mark Banner (:standard8) 2012-04-16 14:06:52 PDT
This also required a bustage fix as bug 723135 hasn't landed yet:

http://hg.mozilla.org/comm-central/rev/74679c8cb51d
Comment 10 Mark Banner (:standard8) 2012-04-16 14:13:40 PDT
Comment on attachment 614777 [details] [diff] [review]
The fix v2

[Triage Comment]
Moving forward across releases, as I want the test pilot fix for TB 12, and the langpack fixes for ESR.
Comment 13 Justin Wood (:Callek) 2012-04-16 15:02:07 PDT
To be clear, I'm a bit surprised you self-approved and used your approval for the suite/* changes here.

That said, I would have approved for suite had it been asked, so no end-result harm done.
Comment 14 Mark Banner (:standard8) 2012-04-17 02:17:46 PDT
Sorry, I'd forgotten about the suite parts.

Note You need to log in before you can comment on or make changes to this bug.